function X = ldfm_dataprepare (X, fn)

% function X = ldfm_dataprepare (X, fn)
%
% prepares domain X.domain and values fn(X.domain)
%
% For more details see Chum: Low Dimensional Explicit Feature Maps, ICCV'15
% http://cmp.felk.cvut.cz/~chum
% (C) Ondrej Chum 2015

 dims = length(X.d);
 domain = X.d{1}.x(:)';
 for i = 2 : dims
     x = X.d{i}.x(:)';
     [a,b] = meshgrid([1:size(domain,2)], [1:size(x,2)]);
     domain = [domain(:,a);x(:,b)];
 end
 X.domain = domain;
 
 if nargin > 1
     X.values = fn(X.domain);
 end
 