clear X
steps = 128;

X.d{1}.x = [0:steps-1] / (steps-1) * pi; % discretized first input dimension
X.d{1}.max_delta = 0.2;  % maximal frequency delta for continuos optimization for 1st dimension

f = inline(sprintf('exp(-x.^2./ (2.* %f.^2))', 0.31), 'x'); % kernel to approximate

F = [0:X.d{1}.max_delta:41]; % frequency pool

[nF, w, Y] = ldfm_kernelsignature(X, f, F, 11); % approximate with 15 dimensional feature map

o = ker1d_embed(nF,w,Y.domain); % get the feature map for full domain

figure(1); clf; hold on
plot(Y.domain, Y.values,'-');
plot(Y.domain, o(:,1)'*o,'-r'); % plot Psi(0)' * Psi(x)
title('Kernel signature fit');

figure(2); clf; hold on
plot(Y.domain, Y.values - o(:,1)'*o,'-');
title('Error plot of kernel signature fit');